package de.hft.geotime.controllers;

import de.hft.geotime.repositories.RecordRepository;
import de.hft.geotime.repositories.TimetrackUserRepository;
import org.springframework.data.projection.ProjectionFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class RecordController {

    private final RecordRepository recordRepository;
    private final TimetrackUserRepository userRepository;
    private final ProjectionFactory projectionFactory;

    public RecordController(RecordRepository recordRepository, TimetrackUserRepository userRepository, ProjectionFactory projectionFactory) {
        this.recordRepository = recordRepository;
        this.userRepository = userRepository;
        this.projectionFactory = projectionFactory;
    }

    @GetMapping("/track")
    public void track() {
        //"/track?accountid=bla" → start/stop recording for that account
    }
}
